cmake_minimum_required(VERSION 2.6...3.29)
project(filehandler)
#TODO-jip: remove shared/static stuff and hard include paths
set(FILEHANDLER_HEADERS
    FileHandler.hpp
)

set(FILEHANDLER_SOURCES
    #Audio.cpp
    File.cpp
    Image.cpp
)

if(WIN32)
    #NOTE-jip: is this still needed?
    #set(FILEHANDLER_SOURCES ${FILEHANDLER_SOURCES} resource.rc)
endif()

include_directories(${format_SOURCE_DIR} ${zlib_SOURCE_DIR} ${libpng_SOURCE_DIR} ${jpeg_SOURCE_DIR})
add_library(FileHandler STATIC ${FILEHANDLER_SOURCES} ${FILEHANDLER_HEADERS}) # remove shared, cmake should handle this
target_link_libraries(FileHandler format far iff zlib libpng jpegturbo)

